Page MenuHomePhabricator

Disable interactive elements while saving
Closed, ResolvedPublic3 Story Points

Description

Mock

Acceptance Criteria

  • Once users click on the save button when being in edit mode, all interactive elements (all input fields, save, cancel button) become non-interactive. This means, that they cannot be focussed and changed.
  • Everything is overlayed with a layer that is 50% white
  • If the save failed or succeeded, all interactive elements are enabled again and the overlay disappears.

Event Timeline

Lea_WMDE created this task.May 9 2019, 1:53 PM
Lea_WMDE updated the task description. (Show Details)May 23 2019, 1:57 PM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 12:56 PM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 2:23 PM
Lea_WMDE set the point value for this task to 3.
Lea_WMDE added a subscriber: Hanna_Petruschat_WMDE.

I "messed up" with the IP overlay, not being aware that every other overlay in the Wikiworld works with 50% white and not with 25% black as I initially specified. So we might want to adapt to the white version here and make this small change in the IP and license overlay as well. I post it as a comment an will raise this question in the next team meeting (daily or sprint start?).

Lea_WMDE updated the task description. (Show Details)Jun 3 2019, 10:21 AM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-19 board.

Change 521259 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Introduce generic overlay component

https://gerrit.wikimedia.org/r/521259

Change 521280 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Show an overlay while saving an edit

https://gerrit.wikimedia.org/r/521280

Change 521259 merged by jenkins-bot:
[wikibase/termbox@master] Introduce generic overlay component

https://gerrit.wikimedia.org/r/521259

Change 521280 merged by jenkins-bot:
[wikibase/termbox@master] Show an overlay while saving an edit

https://gerrit.wikimedia.org/r/521280

Change 521433 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Update Termbox

https://gerrit.wikimedia.org/r/521433

Change 521433 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update Termbox

https://gerrit.wikimedia.org/r/521433

Thanks! Is there a way to produce a failed publish action? @Tarrow (as Jakob is not available)

@Hanna_Petruschat_WMDE On beta? I guess the easiest thing to do is probably:

  1. Open a beta item on mobile and start editing.
  2. (In chrome) Right click -> 'Inspect'
  3. Select the 'Network' tab
  4. Check 'offline' box
  5. Try and save the edit
Hanna_Petruschat_WMDE closed this task as Resolved.Jul 15 2019, 3:44 PM

Tested. Looks fine! Now really looking forward for the error message.